%define api	2.48
%define major	1
%define libname	%mklibname %{name} %{api} %{major}
%define devname	%mklibname -d %{name} %{api}

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%bcond_with doc

Name:		pangomm
Summary:	C++ interface for the pango library
Version:	2.50.1
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://gtkmm.org/
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(cairomm-1.16)
BuildRequires:	pkgconfig(glibmm-2.68)
BuildRequires:	pkgconfig(pangocairo)
%if %{with doc}
BuildRequires:	doxygen
%endif

%description
Pangomm provides a C++ interface to the Pango library. Highlights
include typesafe callbacks, widgets extensible via inheritance and a
comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

%package -n %{libname}
Summary:	C++ interface for the pango library
Group:		System/Libraries
Provides:	%{name}%{api} = %{version}-%{release}

%description -n %{libname}
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{devname}
Summary:	Headers and development files of %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}%{api}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{name}.

%prep
%setup -q
%apply_patches

%build
%meson \
  -Dbuild-documentation=%{?with_doc:true}%{!?with_doc:false}
%meson_build

%install
rm -rf %buildroot
%meson_install

%files -n %{libname}
%{_libdir}/libpangomm-%{api}.so.%{major}*

%files -n %{devname}
%{_includedir}/pangomm-%{api}/
%{_libdir}/libpangomm-%{api}.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/pangomm-%{api}/
%if %{with doc}
%doc %{_datadir}/doc/pangomm-%{api}/
%doc %{_datadir}/devhelp/books/*
%endif


%changelog
* Thu Sep 28 2022 tex - 2.50.1-1pclos2022
- new version
